Index Page reccyl_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void reccyl_c ( ConstSpiceDouble     rectan[3],
                       SpiceDouble        * r,
                       SpiceDouble        * lon,
                       SpiceDouble        * z         )
#### Abstract
       Convert from rectangular to cylindrical coordinates.
#### Required_Reading
       None.
#### Keywords
       CONVERSION, COORDINATES
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  -------------------------------------------------
       rectan     I   Rectangular coordinates of a point.
       r          O   Distance of the point from z axis.
       lon        O   Angle (radians) of the point from xZ plane
       z          O   Height of the point above xY plane.
#### Detailed_Input
       rectan     Rectangular coordinates of the point of interest.
#### Detailed_Output
       r          Distance of the point of interest from z axis.

       lon        Cylindrical angle (in radians) of the point of
                  interest from xZ plane.

       z          Height of the point above xY plane.
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       This routine transforms the coordinates of a point from
       rectangular to cylindrical coordinates.
#### Examples
       Below are two tables.

       Listed in the first table (under x(1), x(2) and x(3) ) are a
       number of points whose rectangular coordinates coorindates are
       taken from the set {-1, 0, 1}.

       The result of the code fragment

            reccyl_c ( x, r,  lon, z );

            Use the CSPICE routine convrt_c to convert the angular
            quantities to degrees

            convrt_c (  lon, "RADIANS", "DEGREES", lon  );

       are listed to 4 decimal places in the second parallel table under
       r (radius), lon  (longitude), and  z (same as rectangular z
       coordinate).

         x(1)       x(2)     x(3)        r         lon      z
         --------------------------      -------------------------
         0.0000     0.0000   0.0000      0.0000    0.0000   0.0000
         1.0000     0.0000   0.0000      1.0000    0.0000   0.0000
         0.0000     1.0000   0.0000      1.0000   90.0000   0.0000
         0.0000     0.0000   1.0000      0.0000    0.0000   1.0000
        -1.0000     0.0000   0.0000      1.0000  180.0000   0.0000
         0.0000    -1.0000   0.0000      1.0000  270.0000   0.0000
         0.0000     0.0000  -1.0000      0.0000    0.0000  -1.0000
         1.0000     1.0000   0.0000      1.4142   45.0000   0.0000
         1.0000     0.0000   1.0000      1.0000    0.0000   1.0000
         0.0000     1.0000   1.0000      1.0000   90.0000   1.0000
         1.0000     1.0000   1.0000      1.4142   45.0000   1.0000
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       W.L. Taber      (JPL)
#### Version
       -CSPICE Version 1.2.0, 28-AUG-2001 (NJB)

           Removed tab characters from source file.  Include interface
           macro definition header SpiceZim.h.

       -CSPICE Version 1.1.0, 21-OCT-1998 (NJB)

          Made input vector const.

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)
#### Index_Entries
       rectangular to cylindrical coordinates
#### Link to routine reccyl_c source file reccyl_c.c

    Wed Jun  9 13:05:28 2010